function [fldout]=get_face34(fldIn,nfx,nfy)
%[fldout]=get_face34(fldIn)
%fldIn
%   compact format, either aste or global llc
%fldOut
%   size [nx+nfx(4),nx] where nfx(4) is size of face4

sz=size(fldIn);if(length(sz)==2);sz=[sz 1];end;

i3=1:nfx(3);
j3=sum(nfy(1:2))+[1:nfy(3)];
j4=sum(nfy(1:3))+[1:nfx(4)];

fldout=cat(1,fldIn(i3,j3,:),reshape(fldIn(i3,j4,:),nfx(4),nfy(4),sz(3)));

return
